#include <Wt/WVBoxLayout.h>
#include <Wt/WGridLayout.h>
#include <Wt/WPushButton.h>
#include <Wt/WSelectionBox.h>
#include "Popup.h"

using namespace std;

///////////////////////////////////////////////////////////////////////////////
Popup::Popup( int autoHideDelay,
                const WLength& width)
: WPopupWidget(make_unique<WContainerWidget>())
{
    setTransient(true, autoHideDelay);
    setWidth(width);
}

Popup::~Popup()
{
}

void Popup::Create()
{
    m_cwMain = static_cast<WContainerWidget*> (implementation());
    WVBoxLayout * vblMain = new WVBoxLayout();
    m_cwMain->setLayout(unique_ptr<WVBoxLayout> (vblMain));
    vblMain->addWidget(make_unique<WSelectionBox>());
    vblMain->addWidget(make_unique<WCheckBox> ("Check"));
    WGridLayout * glButtons = new WGridLayout;
    glButtons->addWidget(make_unique<WPushButton>("A"), 0, 0);
    glButtons->addWidget(make_unique<WPushButton>("B"), 0, 1);
    glButtons->addWidget(make_unique<WPushButton>("C"), 1, 0);
    glButtons->addWidget(make_unique<WPushButton>("D"), 1, 1);
    vblMain->addLayout(unique_ptr<WGridLayout> (glButtons));
    
}

